< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600j
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600j
-  package retriever
  Definition Classes
    v3
- B140
- J1
- J10
- J10A
- J15
- J15A
- J2
- J20
- J20A
- J25
- J25A
- J3
- J30
- J30A
- J35
- J35A
- J4
- J40
- J40A
- J45
- J45A
- J5
- J50
- J50A
- J5A
- SchemeDateBox
- SchemeReferenceNumberBox

c

uk.gov.hmrc.ct.ct600j.v3

# SchemeDateBox 

###

#### abstract class SchemeDateBox extends CtBoxIdentifier with CtOptionalDate with Input with ValidatableBox[CT600JBoxRetriever]

Linear Supertypes
ValidatableBox[CT600JBoxRetriever], ExtraValidation, Validators, Input, CtOptionalDate, OptionalCtValue[LocalDate], CtValue[Option[LocalDate]], CtBoxIdentifier, AnyRef, Any
Known Subclasses
J10A, J15A, J20A, J25A, J30A, J35A, J40A, J45A, J50A, J5A
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SchemeDateBox
2. ValidatableBox
3. ExtraValidation
4. Validators
5. Input
6. CtOptionalDate
7. OptionalCtValue
8. CtValue
9. CtBoxIdentifier
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SchemeDateBox()

### Abstract Value Members

1.  abstract def validate(boxRetriever: CT600JBoxRetriever): Set[CtValidation]
   Definition Classes
     ValidatableBox
2.  abstract def value: Option[LocalDate]
   Definition Classes
     CtValue

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoxString: Option[String]
   Definition Classes
     CtValue
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asLocalDate: Option[LocalDate]
   Definition Classes
     CtOptionalDate
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
13.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
15.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
16.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
17.  val earliestSchemeDate: LocalDate
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
21.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
24.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def id: String
    Definition Classes
      CtBoxIdentifier
28.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  val name: String
    Definition Classes
      CtBoxIdentifier
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
33.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
37.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
38.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
39.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
40.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
43.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
44.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
45.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
46.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
47.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
48.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
49.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
50.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
51.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
52.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
53.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
54.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
55.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
56.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
57.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
58.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
59.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
60.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
61.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
62.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
63.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
64.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
65.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
66.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
68.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
69.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
70.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
71.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
73.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
74.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
75.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
    Definition Classes
      ExtraValidation
76.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
77.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
78.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
79.  def validateSchemeDate(previousSchemeNumberBox: CtOptionalString, previousSchemeDateBox: CtOptionalDate, schemeReferenceNumberBox: CtOptionalString): Set[CtValidation]
80.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
81.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
82.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
83.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
84.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
85.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
86.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
    Definition Classes
      ExtraValidation
88.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
    Definition Classes
      ValidatableBox
89.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
92.  val validationSuccess: Set[CtValidation]
    Definition Classes
      ValidatableBox
93.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
94.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
95.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from ValidatableBox[CT600JBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalDate

### Inherited from OptionalCtValue[LocalDate]

### Inherited from CtValue[Option[LocalDate]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped